import { Config, Registration } from './types';
import { EventEmitter } from 'events';
export declare class Mastodon {
    private config;
    private auth;
    constructor(config: Config);
    registerApp(clientName: string): Promise<Registration>;
    getAuthUrl(): string;
    get<T>(api: string, opts: {
        [key: string]: string;
    }): Promise<T>;
    post<T>(api: string, body: {
        [key: string]: string;
    }): Promise<T>;
    stream(kind: string, query: {
        [key: string]: string;
    }, eventEmitter: EventEmitter): WebSocket;
}
