module.exports = {
    entry: {
      "tootjs": "./src/tootjs.ts",
      "tootjs.types": "./src/types.ts"
    },
    output: {
      filename: "[name].js",
      path: __dirname + "/dist",
      library: "tootjs",
      libraryTarget: "umd"
    },
  
    // Enable sourcemaps for debugging webpack's output.
    devtool: "source-map",
  
    resolve: {
      modules: ["node_modules"],
      // Add '.ts' and '.tsx' as resolvable extensions.
      extensions: [".ts", ".tsx", ".js", ".json"]
    },
  
    module: {
      rules: [
        // All files with a '.ts' or '.tsx' extension will be handled by 'awesome-typescript-loader'.
        { test: /\.tsx?$/, loader: "awesome-typescript-loader" },
  
        { enforce: "pre", test: /\.js$/, loader: "source-map-loader" }
      ]
    },
  };
  